import Flutter
import UIKit
import HelpCrunchSDK

public class SwiftFlutterPluginHelpcrunchPlugin: NSObject, FlutterPlugin {

  public static func register(with registrar: FlutterPluginRegistrar) {

    let channel = FlutterMethodChannel(name: "flutter.native/helpcrunch", binaryMessenger: registrar.messenger())

    channel.setMethodCallHandler({(call: FlutterMethodCall, result: @escaping FlutterResult) -> Void in

        if(call.method == "initialize"){
            let configuration =
            HCSConfiguration(forOrganization: call.argument('organization'),
            applicationId: call.argument('appId'),
            applicationSecret: call.argument(  "lrsecret==")
            HelpCrunch.initWith(configuration, user: nil) { (error) in
            // Do something on SDK init completion
            }
        }

        else

        if(call.method == "showChatScreen"){

        }

        else

        if(call.method == "logout"){

        }
    })

    let instance = SwiftFlutterPluginHelpcrunchPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
  }
}
